org.deidentifier.arx.aggregates

## Class StatisticsClassification.ROCCurve

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsClassification.ROCCurve

Enclosing class:
  StatisticsClassification

    public static class StatisticsClassification.ROCCurve
    extends java.lang.Object

A ROC curve

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAUC()` Returns the AUC
`double` `getBrierScore()` Returns the Brier score.
`double[]` `getFalsePositiveRate()` Returns false-positive rates for all cut-off points
`double` `getSensitivity()` Return the sensitivity = tp / (tp + fn).
`double` `getSpecificity()` Returns the specificity = tn / (fp + tn).
`double[]` `getTruePositiveRate()` Returns true-positive rates for all cut-off points

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAUC

    public double getAUC()

Returns the AUC

Returns:

#### getBrierScore

    public double getBrierScore()

Returns the Brier score.

Returns:

#### getFalsePositiveRate

    public double[] getFalsePositiveRate()

Returns false-positive rates for all cut-off points

Returns:
  the false positive rate

#### getSensitivity

    public double getSensitivity()

Return the sensitivity = tp / (tp + fn).

Returns:
  the sensitivity

#### getSpecificity

    public double getSpecificity()

Returns the specificity = tn / (fp + tn).

Returns:
  the specificity

#### getTruePositiveRate

    public double[] getTruePositiveRate()

Returns true-positive rates for all cut-off points

Returns:
  the true positive rate